﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DictWithSfChartRequiremnts
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new TestingValuesCollection();
            Random rand = new Random();
            DateTime date = new DateTime(2012,01,01);
            Books = new SortedDictionary<DateTime, double>();
            for (int i = 0; i <= 20; i++)
            {
                Books.Add(date.AddDays(i), rand.Next(100, 200));//, rand.Next(100, 200), rand.Next(100, 200));
            }
            var ds = new ColumnSeries() { XBindingPath = "Key", YBindingPath="Value", ShowEmptyPoints = false, EnableAnimation = true, ShowTooltip = true };
            
           Chart.Series.Add(ds);
           Chart.Series[0].ItemsSource = Books;


        }
        public SortedDictionary<DateTime, double> Books
        {
            get;
            set;
        }
    }
    public class TestingValues
    {
        public DateTime Date { get; set; }
        public double X { get; set; }

        public double Y { get; set; }

        public double Y1 { get; set; }
        public double Y2 { get; set; }

        public double Y3 { get; set; }
    }
    public class TestingValuesCollection
    {
        public TestingValuesCollection()
        {
            this.TestingModel = new ObservableCollection<TestingValues>();
            Random rd = new Random();
            DateTime date = new DateTime(2012, 01, 01);
            for (int i = 0; i < 500; i++)
            {
                this.TestingModel.Add(new TestingValues() {Date = date.AddDays(i), X = i + 1000, Y = rd.Next(40, 50), Y1 = rd.Next(0, 10), Y2 = rd.Next(10, 40), Y3 = rd.Next(20, 40) });
            }
        }

        public ObservableCollection<TestingValues> TestingModel { get; set; }
    }
}
